Package org.apache.felix.bundleplugin

# Class VersionCleanerPlugin

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.felix.bundleplugin.VersionCleanerPlugin

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="cleanVersions", threadSafe=true) public class VersionCleanerPlugin extends org.apache.maven.plugin.AbstractMojo
Clean OSGi versions, ie convert a group of versions to OSGi format.

## Field Summary

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`VersionCleanerPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`Maven2OsgiConverter`
`getMaven2OsgiConverter()`
`void`
`setMaven2OsgiConverter(Maven2OsgiConverter maven2OsgiConverter)`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VersionCleanerPlugin

public VersionCleanerPlugin()

## Method Details

### getMaven2OsgiConverter

public Maven2OsgiConverter getMaven2OsgiConverter()

### setMaven2OsgiConverter

public void setMaven2OsgiConverter(Maven2OsgiConverter maven2OsgiConverter)

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`